var request = require('request')
var cheerio = require('cheerio')

var proxyRegExp = new RegExp('^[0-9\.]+:[0-9]+$')
var oldProxyRegExp = new RegExp('^[0-9]{2} hours')

/**
 * Gets proxies from website
 * @param cb(err, [proxies])
 * @return Promise
 */
module.exports = getProxies = function(cb) {
  return new Promise(function (resolve, reject) {
    var toReturn = []

    request('http://free-proxy-list.net/anonymous-proxy.html', function(err, resp, body) {
      if (err || resp.statusCode !== 200) {
        reject(err)
        cb && cb('getting proxies error', [])
        return
      }
      var $ = cheerio.load(body)
      $('tr').each(function(i, elem) {
        var ip = $(elem).find('td').first()
        var port = ip.next()
        var time = $(elem).find('td').last().text()
        if (!oldProxyRegExp.test(time)) {
          toReturn.push(ip.text() + ':' + port.text())
        }
      })
      toReturn = toReturn.filter(function(item) {
        return proxyRegExp.test(item)
      })
      cb && cb(err, toReturn)
      resolve(toReturn)
    })
  })
}
