var test = require('tape')
var getProxies = require('./index.js')

test.createStream().pipe(require('tap-spec')()).pipe(process.stdout)

test('Callback test', function(t) {
  getProxies(function(err, proxies) {
    t.false(err, 'No error returned')
    t.ok(proxies.length, 'Proxies exists')
    t.equal(proxies.every(function(proxy) {
      return proxy.length > 10
    }), true, 'Proxies seems valid')
    t.end()
  })
})

test('Promises test', function(t) {
  getProxies().then(function (proxies) {
    t.ok(proxies.length, 'Proxies exists')
    t.equal(proxies.every(function(proxy) {
      return proxy.length > 10
    }), true, 'Proxies seems valid')
    t.end()
  })
})
